Provides /etc/shadow password management.
C Ruby
Switch branches/tags
Nothing to show
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
ext/shadow
lib
.gitignore
README.rdoc
Rakefile
libshadow.gemspec

README.rdoc

libshadow

DESCRIPTION:

Provides /etc/shadow password management.

Same code as what's in the libshadow-ruby or ruby-libshadow package that may or may not be available from your package manager.

FEATURES:

  • Compatible with Puppet and Chef!

  • Doesn't require a specific version of ruby like some system packages!

SYNOPSIS:

require 'shadow'

REQUIREMENTS:

*NIX system with shadow.h

Will not work on OS X, sorry.

INSTALL:

gem install libshadow

LICENSE:

Copyright (C) 1998-1999 by Takaaki.Tateishi(ttate@jaist.ac.jp)

Free for any use with your own risk!